#ifndef __SAMPLE_H__
#define __SAMPLE_H__

#include <pthread.h>

/* magic numbers */
enum
{
     MAX_SAMPLE_NAME = 256,
};

/* error codes */
enum
{
     LOAD_SAMPLE_FAIL = -1,
};

typedef struct _Sample
{
     pthread_mutex_t mutex;      /* never gets initialized, somehow works... shh... */
     float* sp;			 /* samples pointer */
     char name[MAX_SAMPLE_NAME]; /* name of sample file */
     int frames;                 /* number of frames (not samples) pointed to by sp */
}
Sample;

int sample_load_file (Sample* sample, char* name, int rate);

#endif /* __SAMPLE_H__ */
